import { OnChanges, OnInit } from '@angular/core';
import { AttributeBase } from './attribute-base';
import { FormGroup } from '@angular/forms';
export declare class AttributeComponent implements OnInit, OnChanges {
    attributeControl: AttributeBase;
    formGroup: FormGroup;
    readonly: boolean;
    isSmallSize: boolean;
    noErrorMsg: boolean;
    private searchHelpComponent;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    get invalid(): boolean;
    get errorMessage(): any;
    get isReadonly(): boolean;
    onKeyup(attributeName: string): void;
    onSearchHelp(attributeControl: AttributeBase): void;
}
